com.icesoft.faces.component.outputresource

## Class OutputResource

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - com.icesoft.faces.component.outputresource.OutputResource

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    DataExporter

      public class OutputResource
      extends javax.faces.component.UIComponentBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `DEFAULT_RENDERER_TYPE`
    `protected com.icesoft.faces.component.outputresource.RegisteredResource` | `registeredResource`
    `protected com.icesoft.faces.context.Resource` | `resource`
    `static java.lang.String` | `TYPE_BUTTON`
    `static java.lang.String` | `TYPE_IMAGE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputResource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInfo()`
    `boolean` | `getAttachment()`
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFileName()`
    `java.lang.String` | `getImage()`
    `java.lang.String` | `getLabel()`
    `java.util.Date` | `getLastModified()`
    `int` | `getLastResourceHashCode()`
    `java.lang.String` | `getMimeType()`
    `java.lang.String` | `getPath()`
    `java.lang.String` | `getRenderedOnUserRole()` Return the value of the `renderedOnUserRole` property.
    `java.lang.String` | `getRendererType()`
    `com.icesoft.faces.context.Resource` | `getResource()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getTarget()`
    `java.lang.String` | `getType()`
    `boolean` | `isAttachment()`
    `boolean` | `isDisabled()`
    `boolean` | `isRendered()` Return the value of the `rendered` property.
    `boolean` | `isShared()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)` Perform any processing required to restore the state from the entries in the state Object.
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)` Gets the state of the instance as a `Serializable` Object.
    `void` | `setAttachment(boolean b)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setFileName(java.lang.String fileName)`
    `void` | `setImage(java.lang.String img)`
    `void` | `setLabel(java.lang.String label)`
    `void` | `setLastModified(java.util.Date lastModified)`
    `void` | `setMimeType(java.lang.String mimeType)`
    `void` | `setRenderedOnUserRole(java.lang.String role)`
    `void` | `setResource(com.icesoft.faces.context.Resource resource)`
    `void` | `setShared(boolean s)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setTarget(java.lang.String target)`
    `void` | `setType(java.lang.String type)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### DEFAULT_RENDERER_TYPE

          public static final java.lang.String DEFAULT_RENDERER_TYPE

      See Also:
        Constant Field Values

    - #### resource

          protected com.icesoft.faces.context.Resource resource

    - #### registeredResource

          protected transient com.icesoft.faces.component.outputresource.RegisteredResource registeredResource

    - #### TYPE_IMAGE

          public static final java.lang.String TYPE_IMAGE

      See Also:
        Constant Field Values

    - #### TYPE_BUTTON

          public static final java.lang.String TYPE_BUTTON

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OutputResource

          public OutputResource()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### getComponentType

          public java.lang.String getComponentType()

    - #### getRendererType

          public java.lang.String getRendererType()

      Overrides:
        `getRendererType` in class `javax.faces.component.UIComponentBase`

    - #### getResource

          public com.icesoft.faces.context.Resource getResource()

    - #### addInfo

          public void addInfo()

    - #### setResource

          public void setResource(com.icesoft.faces.context.Resource resource)

    - #### getMimeType

          public java.lang.String getMimeType()

    - #### setMimeType

          public void setMimeType(java.lang.String mimeType)

    - #### setFileName

          public void setFileName(java.lang.String fileName)

    - #### getFileName

          public java.lang.String getFileName()

    - #### setLastModified

          public void setLastModified(java.util.Date lastModified)

    - #### getLastModified

          public java.util.Date getLastModified()

    - #### setImage

          public void setImage(java.lang.String img)

    - #### getImage

          public java.lang.String getImage()

    - #### setType

          public void setType(java.lang.String type)

    - #### getType

          public java.lang.String getType()

    - #### setLabel

          public void setLabel(java.lang.String label)

    - #### getLabel

          public java.lang.String getLabel()

    - #### setStyle

          public void setStyle(java.lang.String style)

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Returns:
        String styleClass

    - #### setRenderedOnUserRole

          public void setRenderedOnUserRole(java.lang.String role)

    - #### getRenderedOnUserRole

          public java.lang.String getRenderedOnUserRole()

      Return the value of the `renderedOnUserRole` property.

    - #### isRendered

          public boolean isRendered()

      Return the value of the `rendered` property.

      Overrides:
        `isRendered` in class `javax.faces.component.UIComponentBase`

    - #### setAttachment

          public void setAttachment(boolean b)

    - #### isAttachment

          public boolean isAttachment()

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Gets the state of the instance as a `Serializable` Object.

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Perform any processing required to restore the state from the entries in the state Object.

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

    - #### getAttachment

          public boolean getAttachment()

    - #### getLastResourceHashCode

          public int getLastResourceHashCode()

    - #### getPath

          public java.lang.String getPath()

    - #### isShared

          public boolean isShared()

    - #### setShared

          public void setShared(boolean s)

    - #### getTarget

          public java.lang.String getTarget()

    - #### setTarget

          public void setTarget(java.lang.String target)

    - #### setDisabled

          public void setDisabled(boolean disabled)

    - #### isDisabled

          public boolean isDisabled()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.